//
//  AWViewController.h
//  OverdueAssignment
//
//  Created by Andrew Weiss on 11/7/13.
//  Copyright (c) 2013 Andrew Weiss. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AWAddTaskViewController.h"
#import "AWDetailTaskViewController.h"

@interface AWViewController : UIViewController <AWAddTaskViewControllerDelegate, UITableViewDataSource, UITableViewDelegate, AWDetailTaskViewControllerDelegate>

//IBOutlets
@property (weak, nonatomic) IBOutlet UITableView *tableView;

//IBActions
- (IBAction)addTaskBarButtonItemPressed:(UIBarButtonItem *)sender;
- (IBAction)reorderBarButtonItemPressed:(UIBarButtonItem *)sender;

//@properties
@property (strong, nonatomic) NSMutableArray *taskObjects;

@end
