//
//  AWAddTaskViewController.h
//  OverdueAssignment
//
//  Created by Andrew Weiss on 11/7/13.
//  Copyright (c) 2013 Andrew Weiss. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>
#import "AWTask.h"

@protocol AWAddTaskViewControllerDelegate <NSObject>

- (void)didCancel;
- (void)didAddTask:(AWTask *)task;

@end

@interface AWAddTaskViewController : UIViewController <UITextViewDelegate>

@property (weak, nonatomic) IBOutlet UITextField *taskTitleTextField;
@property (weak, nonatomic) IBOutlet UITextView *taskDescriptionTextView;
@property (weak, nonatomic) IBOutlet UIDatePicker *taskDate;

- (IBAction)addTaskButtonPressed:(UIButton *)sender;
- (IBAction)cancelButtonPressed:(UIButton *)sender;

@property (weak, nonatomic) id <AWAddTaskViewControllerDelegate> delegate;

@end
