//
//  AWDetailTaskViewController.h
//  OverdueAssignment
//
//  Created by Andrew Weiss on 11/7/13.
//  Copyright (c) 2013 Andrew Weiss. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AWTask.h"
#import "AWEditTaskViewController.h"

@protocol AWDetailTaskViewControllerDelegate <NSObject>

- (void)didFinishEditingTask:(AWTask *)task atIndexPath:(NSIndexPath *)indexPath;

@end

@interface AWDetailTaskViewController : UIViewController <AWEditTaskViewControllerDelegate>

//IBOutlets
@property (weak, nonatomic) IBOutlet UILabel *taskTitleLabel;
@property (weak, nonatomic) IBOutlet UILabel *taskDueDateLabel;
@property (weak, nonatomic) IBOutlet UILabel *taskDetailsLabel;

//IBActions
- (IBAction)editTaskBarButtonItemPressed:(UIBarButtonItem *)sender;

//@properties
@property (weak, nonatomic) id <AWDetailTaskViewControllerDelegate> delegate;
@property (strong, nonatomic) AWTask *selectedTask;
@property (strong, nonatomic) NSIndexPath *selectedTaskIndexPath;

@end
