//
//  AWEditTaskViewController.h
//  OverdueAssignment
//
//  Created by Andrew Weiss on 11/7/13.
//  Copyright (c) 2013 Andrew Weiss. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AWTask.h"

@protocol AWEditTaskViewControllerDelegate <NSObject>

- (void)didEditTask:(AWTask *)task;

@end

@interface AWEditTaskViewController : UIViewController <UITextViewDelegate>

//IBActions
- (IBAction)saveTaskBarButtonItemPressed:(UIBarButtonItem *)sender;

//IBOutlets
@property (weak, nonatomic) IBOutlet UITextField *taskTitleTextField;
@property (weak, nonatomic) IBOutlet UITextView *taskDescriptionTextView;
@property (weak, nonatomic) IBOutlet UIDatePicker *taskDueDatePicker;

//@properties
@property (weak, nonatomic) id <AWEditTaskViewControllerDelegate> delegate;
@property (strong, nonatomic) AWTask *selectedTask;

@end
